import { IgnorableError } from "../../EFMedia.js";
import { Task } from "@lit/task";
const makeAudioSeekTask = (host) => {
	return new Task(host, {
		args: () => [host.desiredSeekTimeMs, host.audioInputTask.value],
		onError: (error) => {
			if (error instanceof IgnorableError) {
				console.info("audioSeekTask aborted");
				return;
			}
			if (error instanceof DOMException) console.error(`audioSeekTask error: ${error.message} ${error.name} ${error.code}`);
			else if (error instanceof Error) console.error(`audioSeekTask error ${error.name}: ${error.message}`);
			else console.error("audioSeekTask unknown error", error);
		},
		onComplete: (_value) => {},
		task: async () => {
			return void 0;
		}
	});
};
export { makeAudioSeekTask };
